com.sun.jna.platform.mac

## Class SystemB.ProcTaskInfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.mac.SystemB.ProcTaskInfo

Enclosing interface:
  SystemB

    @Structure.FieldOrder(value={"pti_virtual_size","pti_resident_size","pti_total_user","pti_total_system","pti_threads_user","pti_threads_system","pti_policy","pti_faults","pti_pageins","pti_cow_faults","pti_messages_sent","pti_messages_received","pti_syscalls_mach","pti_syscalls_unix","pti_csw","pti_threadnum","pti_numrunning","pti_priority"})
    public static class SystemB.ProcTaskInfo
    extends Structure

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`int` `pti_cow_faults`
`int` `pti_csw`
`int` `pti_faults`
`int` `pti_messages_received`
`int` `pti_messages_sent`
`int` `pti_numrunning`
`int` `pti_pageins`
`int` `pti_policy`
`int` `pti_priority`
`long` `pti_resident_size`
`int` `pti_syscalls_mach`
`int` `pti_syscalls_unix`
`int` `pti_threadnum`
`long` `pti_threads_system`
`long` `pti_threads_user`
`long` `pti_total_system`
`long` `pti_total_user`
`long` `pti_virtual_size`

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
Constructor and Description
`ProcTaskInfo()`

### Method Summary

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pti_virtual_size

    public long pti_virtual_size

#### pti_resident_size

    public long pti_resident_size

#### pti_total_user

    public long pti_total_user

#### pti_total_system

    public long pti_total_system

#### pti_threads_user

    public long pti_threads_user

#### pti_threads_system

    public long pti_threads_system

#### pti_policy

    public int pti_policy

#### pti_faults

    public int pti_faults

#### pti_pageins

    public int pti_pageins

#### pti_cow_faults

    public int pti_cow_faults

#### pti_messages_sent

    public int pti_messages_sent

#### pti_messages_received

    public int pti_messages_received

#### pti_syscalls_mach

    public int pti_syscalls_mach

#### pti_syscalls_unix

    public int pti_syscalls_unix

#### pti_csw

    public int pti_csw

#### pti_threadnum

    public int pti_threadnum

#### pti_numrunning

    public int pti_numrunning

#### pti_priority

    public int pti_priority

### Constructor Detail

#### ProcTaskInfo

    public ProcTaskInfo()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.